|  Developer
Updated on November 18, 2021

http_server.send_data()

  • Method for sending answer on the request, sends the next portion of data for existing requests. A plugin can use its own connections only.
Edit
Table Field Type Required Description
id string + Identifier of a connection
data string + Data to be sent
last boolean – Is it the last portion of data or not. If it is not the last part of data then the event will be generated when existing data would be sent. Default value: false.
code int – HTTP status to report. Default value:
code_status string – Text description of a HTTP status
headers array of objects – Response headers. Should be added before the first bytes of a response body is printed to an HTTP response.
Headers Type Required Description
string + Name of a header record
string + Value of a header record
Edit
  • Required parameter didn’t define:
  • Wrong format of the parameter:
  • Limit of the parameter is reached:
  • Connection doesn’t exist
  • Request for sending data wasn’t started